Bug 87143 - Remember window position after sliding
Remember window position after sliding
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on: 87267
Blocks: 73766
  Show dependency treegraph
 
Reported: 2006-10-13 19:09 UTC by Stanislav Aubrecht
Modified: 2008-12-22 18:51 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
diff (without unit-test so far) (41.31 KB, patch)
2006-10-13 19:15 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2006-10-13 19:09:05 UTC
remember and persist user changes to slided-in windows.

that means that for example slided-in output window can be taller than e.g.
slide-in todo window.
Comment 1 Stanislav Aubrecht 2006-10-13 19:15:31 UTC
Created attachment 35199 [details]
diff (without unit-test so far)
Comment 2 Stanislav Aubrecht 2006-10-27 14:41:09 UTC
merged to trunk

Checking in src/org/netbeans/core/windows/model/Model.java;
/cvs/core/windows/src/org/netbeans/core/windows/model/Model.java,v  <--  Model.java
new revision: 1.17; previous revision: 1.16
done
Checking in src/org/netbeans/core/windows/model/DefaultModel.java;
/cvs/core/windows/src/org/netbeans/core/windows/model/DefaultModel.java,v  <-- 
DefaultModel.java
new revision: 1.22; previous revision: 1.21
done
Checking in src/org/netbeans/core/windows/model/ModesSubModel.java;
/cvs/core/windows/src/org/netbeans/core/windows/model/ModesSubModel.java,v  <--
 ModesSubModel.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/core/windows/view/SlidingAccessor.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/SlidingAccessor.java,v  <--
 SlidingAccessor.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/core/windows/view/SlidingView.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/SlidingView.java,v  <-- 
SlidingView.java
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/core/windows/view/ViewHelper.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ViewHelper.java,v  <-- 
ViewHelper.java
new revision: 1.22; previous revision: 1.21
done
Checking in src/org/netbeans/core/windows/view/ViewHierarchy.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ViewHierarchy.java,v  <-- 
ViewHierarchy.java
new revision: 1.46; previous revision: 1.45
done
Checking in src/org/netbeans/core/windows/view/ModeStructureAccessorImpl.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ModeStructureAccessorImpl.java,v
 <--  ModeStructureAccessorImpl.java
new revision: 1.9; previous revision: 1.8
done
RCS file:
/cvs/core/windows/test/unit/src/org/netbeans/core/windows/persistence/data/valid/Windows/Modes/mode06.wsmode,v
done
Checking in
test/unit/src/org/netbeans/core/windows/persistence/data/valid/Windows/Modes/mode06.wsmode;
/cvs/core/windows/test/unit/src/org/netbeans/core/windows/persistence/data/valid/Windows/Modes/mode06.wsmode,v
 <--  mode06.wsmode
initial revision: 1.1
done
Checking in src/org/netbeans/core/windows/persistence/ModeParser.java;
/cvs/core/windows/src/org/netbeans/core/windows/persistence/ModeParser.java,v 
<--  ModeParser.java
new revision: 1.29; previous revision: 1.28
done
Checking in src/org/netbeans/core/windows/persistence/PersistenceManager.java;
/cvs/core/windows/src/org/netbeans/core/windows/persistence/PersistenceManager.java,v
 <--  PersistenceManager.java
new revision: 1.39; previous revision: 1.38
done
Checking in src/org/netbeans/core/windows/persistence/ModeConfig.java;
/cvs/core/windows/src/org/netbeans/core/windows/persistence/ModeConfig.java,v 
<--  ModeConfig.java
new revision: 1.8; previous revision: 1.7
done
Checking in test/unit/src/org/netbeans/core/windows/persistence/ModeParserTest.java;
/cvs/core/windows/test/unit/src/org/netbeans/core/windows/persistence/ModeParserTest.java,v
 <--  ModeParserTest.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/core/windows/WindowManagerImpl.java;
/cvs/core/windows/src/org/netbeans/core/windows/WindowManagerImpl.java,v  <-- 
WindowManagerImpl.java
new revision: 1.49; previous revision: 1.48
done
Checking in src/org/netbeans/core/windows/Central.java;
/cvs/core/windows/src/org/netbeans/core/windows/Central.java,v  <--  Central.java
new revision: 1.46; previous revision: 1.45
done
Checking in src/org/netbeans/core/windows/ModeStructureSnapshot.java;
/cvs/core/windows/src/org/netbeans/core/windows/ModeStructureSnapshot.java,v 
<--  ModeStructureSnapshot.java
new revision: 1.9; previous revision: 1.8
done
Checking in src/org/netbeans/core/windows/PersistenceHandler.java;
/cvs/core/windows/src/org/netbeans/core/windows/PersistenceHandler.java,v  <-- 
PersistenceHandler.java
new revision: 1.43; previous revision: 1.42
done
Checking in src/org/netbeans/core/windows/resources/layer.xml;
/cvs/core/windows/src/org/netbeans/core/windows/resources/layer.xml,v  <-- 
layer.xml
new revision: 1.47; previous revision: 1.46
done
RCS file:
/cvs/core/windows/src/org/netbeans/core/windows/resources/mode-properties2_2.dtd,v
done
Checking in src/org/netbeans/core/windows/resources/mode-properties2_2.dtd;
/cvs/core/windows/src/org/netbeans/core/windows/resources/mode-properties2_2.dtd,v
 <--  mode-properties2_2.dtd
initial revision: 1.1
done

Checking in mode-properties2_2.dtd;
/cvs/www/www/dtds/mode-properties2_2.dtd,v  <--  mode-properties2_2.dtd
initial revision: 1.1
done
Comment 3 Petr Chytil 2006-11-14 10:14:40 UTC
verified in:
NetBeans IDE Dev (Build 200611131900)
1.6.0-rc; Java HotSpot(TM) Client VM 1.6.0-rc-b103
Linux version 2.6.17-10-generic running on i386
en_US (nb); UTF-8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo